Run AliExpress Product Reviews
curl --request POST \
--url https://api.neuralverge.ai/functions/v1/run-aliexpress-product-reviews \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"product": "1005012791281455",
"max_items": 10,
"filter": "image"
}
'import requests
url = "https://api.neuralverge.ai/functions/v1/run-aliexpress-product-reviews"
payload = {
"product": "1005012791281455",
"max_items": 10,
"filter": "image"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({product: '1005012791281455', max_items: 10, filter: 'image'})
};
fetch('https://api.neuralverge.ai/functions/v1/run-aliexpress-product-reviews', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"session_id": "11111111-1111-1111-1111-111111111111",
"kind": "aliexpress_product_reviews",
"product": "1005012791281455",
"max_items": 2,
"language": null,
"currency": null,
"filter": "all",
"translate": true,
"human": "# AliExpress product reviews\n\n- **Product:** 1005012791281455\n- **Max items:** 2\n- **Records returned:** 0\n- **Proxy traffic:** 5.30 MB\n\nNo reviews were returned for this product.",
"machine": {
"total_items": 0,
"reviews": [],
"proxy_traffic_bytes": 5561418,
"debug": {
"title": "EPOMAKER NEX Lite Tri-Mode Wireless Gaming Mouse PAW3311 12000 DPI 1000Hz RGB Charging Dock for PC Mac Gaming Office - AliExpress 7",
"url": "https://www.aliexpress.us/item/3256812604966703.html?gatewayAdapt=4itemAdapt",
"snippet": "AliExpress\nDownload the AliExpress app\nOther/EN/\nUSD\nWelcome\nSign in / Register\n0\nCart\nEPOMAKER NEX Lite Tri-Mode Wireless Gaming Mouse PAW3311 12000 DPI 1000Hz RGB Charging Dock for PC Mac Gaming Office\n6 sold\n$48.38 \nExtra 3% off with coins\nUp to 4 x $12.10 with no interest\nColor: Pink\nAI overview of item\n\nDisclaimer: This content is generated by AI and does not represent the merchants opinion. "
}
},
"total_points": 0
}E-commerce & Marketplaces
Run AliExpress Product Reviews
Returns buyer reviews for an AliExpress product by ID or URL. List endpoint: 1 point per returned record.
POST
/
functions
/
v1
/
run-aliexpress-product-reviews
Run AliExpress Product Reviews
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
AliExpress product ID or URL.
Maximum number of records to return (1-250). Billed at 1 point per returned record.
Required range:
1 <= x <= 250Available options:
all, image, additional, local AliExpress site language.
Available options:
ar_MA, de_DE, en_US, es_ES, fr_FR, in_ID, it_IT, iw_IL, ja_JP, ko_KR, nl_NL, pl_PL, pt_BR, ru_RU, th_TH, tr_TR, vi_VN ISO currency code for prices, e.g. USD.
Response
Run completed.
Session identifier for this run.
Data source identifier for this endpoint.
Markdown summary of the result, for display.
Structured result payload.
Show child attributes
Show child attributes
Points charged for this run.